<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="init" >
	<script type="text/javascript" src="{@SYS.JSP}/common/multiChoose.js?v={@DATE.YMDHMS}" ><!-- --></script>
	<script type="text/javascript">
		<og:text>
			setTimeout(function(){
				window.open("about:blank","_top").close();
			}, {@SYS.MAX_INACTIVE_INTERVAL}*1000+20000);
		</og:text>
	</script>
</og:head>

<body>

<og:equals val1="{@SYSTEM_ID}" nullCheck="true" notEquals="true">
	<og:localResource systemId="{@SYSTEM_ID}" />
</og:equals>

<og:equals val1="{@editor}" nullCheck="true" >
	<og:value command="SET" key="editor" value="MENU" />
</og:equals>

<form>
<table summary="layout">
<tr><td id="label"><og:requestValue lbl="{@name}" /></td><td></td><td></td>
	<td id="label">Select</td></tr>
<tr><td><og:column name="{@name}" addNoValue="false" td="false" editor="{@editor}" param="{@param}"
			optionAttributes="multiple='multiple' size='{@NVL.size 8}'" id="listFrom" style="width:200px;" /></td>
<td>
<!-- ⇒ --><input type="button" value="&#x21d2;"  onClick="switchListOpts(listFrom, listTo, false)" /><br />
<!-- → --><input type="button" value="&#x2192;"  onClick="switchListOpts(listFrom, listTo, true)"  /><br />
<!-- ← --><input type="button" value="&#x2190;"  onClick="switchListOpts(listTo, listFrom, true)"  /><br />
<!-- × --><input type="button" value="&#x00d7;"  onClick="switchListOpts(listTo, listFrom, false)" />
</td>
<td>
<!-- ▲ --><input type="button" value="&#x25b2;"  onClick="moveListOpts(listTo, 3)" /><br />
<!-- △ --><input type="button" value="&#x25b3;"  onClick="moveListOpts(listTo, 1)" /><br />
<!-- ▽ --><input type="button" value="&#x25bd;"  onClick="moveListOpts(listTo, 2)" /><br />
<!-- ▼ --><input type="button" value="&#x25bc;"  onClick="moveListOpts(listTo, 4)" />
</td>
<td><og:text>
<select size="{@NVL.size 8}" multiple="multiple" id="listTo" style="width:200px;"></select>
</og:text></td>
</tr>
<tr><td></td><td></td><td></td>
<og:equals val1="{@separator}" nullCheck="true" >
	<og:value command="SET" key="separator" value="|" />
</og:equals>
<td>
<!--  ogOpen ｻﾝﾌﾟﾙ
	<og:text><button name="ok" onClick="makeCSV(listTo,window.opener.document.getElementById( window.name ),'{@separator}'); window.close();" >OK</button></og:text>
-->
	<!-- 7.3.1.2 (2021/03/02)  og:popup 使う場合の戻し処理 -->
	<og:text><button name="ok" onClick="rtnPopup(makeRtnCSV(listTo,'{@separator}'));" >OK</button></og:text>
</td>
</tr>
</table>
</form>

<og:text>
	<script for="window" event="onload" type="text/javascript">
<!--	<script type="text/javascript" >	-->
		var listFrom = document.getElementById('listFrom');
		var listTo   = document.getElementById('listTo');

	/* 7.3.1.2 (2021/03/02) og:popup 対応 */
//		var obj = window.opener.document.getElementById( window.name );
	//	if( obj != null ) {
			//initOpts( document.getElementById('listFrom'), document.getElementById('listTo'),obj.value,'{@separator}' );
//			initOpts( listFrom,listTo,obj.value,'{@separator}' );
			// 互換性の関係で、toVals、separator、cnstVals、color とする。
			initOpts( listFrom,listTo,'{@toVals}','{@separator}','{@cnstVals}','red' );
	//	}
	//	else {
	//		window.close();
	//	}
	</script>
</og:text>

</body>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
